ChiliProject - Bug # 1121: Date Picker Icons disappear when changing the Tracker

Status: Closed Priority: High

Author: Harald FrieAYnegger Category: Issue tracking

Created: 2012-08-16 Assignee: Felix Schéfer

Updated: 2013-03-19 Due date:

Remote issue URL:

Affected version: 3.3.0

Description: when i add a new ticket and change the tracker i'm not able to pick a date because the calendar icons
disappear.
using chili 3.3.0

Associated revisions

2013-03-19 09:19 pm - Felix SchAxfer

Explicitely set js calendar until complete switch to jQuery #1121

History

2012-08-20 06:56 pm - Holger Just
- Affected version set to 3.3.0

- Priority changed from High to Normal

Looks like the new data picker doesn't get applied to HTML loaded with AJAX. Andrew, could you possibly have a look there?
2012-08-20 07:15 pm - Hudson Santos

We have the same issue using ChiliProject 3.3.0 (MySQL).

When | change tracker, calendar icons disappear. Even changing back to old tracker, the icons don't appear again.

Regards,

2012-08-20 07:21 pm - Holger Just

| could reproduce it and it is probably caused by the new datepicker we introduced with #817 in version:3.3.0.

2012-08-21 11:49 am - Harald FrieAYnegger

most probably jquery.live will fix this problem
2012-08-29 05:28 am - Andrew Smith
Yes, this happens because the datapicker JS is only run on DOM ready. Alas, there isn't a "html change" event that can be attached to so that the

snippet can be re-run. The JS that updates the form when changing the dropdown is still using Prototype and needs to be moved to jQuery.

The quick and easy fix is to move the datapicker JS inline on the issue form so that it'll run whenever the content gets reloaded. If | can't think of a nicer
way of doing it then I'll open a PR for that, but I'd rather keep is as part of the application.js file and have some event fire instead.

2013-01-08 01:16 pm - Chris Ddhn
Due to the fact that this problem shows up during daily work, | and some other users hoped that it gets a high priority (and would be fixed with 3.4.0).

So: Can we schedule it for 3.5.0? If it's a small fix maybe | could try to add it (I'm a little bit unexperienced with Ruby, but adaptable).

2013-01-08 01:20 pm - Felix Schafer

- Target version set to 3.8.0
- Priority changed from Normal to High

Indeed. We'll see about a fix release if necessary.

2013-03-19 09:30 pm - Felix Schafer
- Assignee set to Felix Schéfer

- Status changed from Open to Closed

Explicit calendars added back in commit:1e2a029, this corrects the problem of changing the trackers. They can be removed after the tracker change is

done in jquery.

2013-03-19 10:24 pm - Chris Déhn
Jay! Looking forward to the next release! :) Thanks! :)
